bugInsidious Big Brother Database - Bugs: bug #38780, configure does not honor --prefix...

 
 

bug #38780: configure does not honor --prefix option

Submitted by:  Vincent Belaïche <vincentb1>
Submitted on:  Sat 20 Apr 2013 05:41:01 AM UTC  
 
Category: NoneSeverity: 3 - Normal
Item Group: NoneStatus: Works For Me
Privacy: PublicAssigned to: None
Open/Closed: Closed

Add a New Comment (Rich MarkupRich Markup):
   

You are not logged in

Please log in, so followups can be emailed to you.

 

(Jump to the original submission Jump to the original submission)

Mon 29 Jul 2013 10:37:35 PM UTC, comment #11:

I understand that it is nice to be able to use the latest version of some software. Yet please keep in mind that my resources are limited. My current goal is a proper release of BBDB. Along this way, I am using the autotools to simplify things and to make sure that the released package works properly.

If you do not want to wait for that, then you should make sure that you can use what you find on savannah.

Roland Winkler <winkler>
Project Administrator
Mon 29 Jul 2013 07:58:08 PM UTC, comment #10:

Just to dwell on it, read in this autoconf email discussion is the following:


Also, MSYS is a notoriously difficult platform to port to. It may be
easier to autotool your package on a nicer machine, then copy the tarball
over to the MSYS environment with timestamps set so that configure does
not need to be regenerated, rather than bootstrapping directly on MSYS.


Vincent Belaïche <vincentb1>
Mon 29 Jul 2013 07:30:28 PM UTC, comment #9:

Well, I had a look and this is true for configure, but the thing is that EMACS does not build on MSYS for MSWindows, it builds with MSDOS console + MingW compiler chain and there is a specific DOS script supplied for that, which IS on bazaar repo here: configure.bat.

It is true that Texinfo either does not have the configure on the repo, but most open source SW which I installed and that are based on autotools build system have the configure bundled with them, so the end user does not have to generate it.

Vincent Belaïche <vincentb1>
Mon 29 Jul 2013 07:22:41 PM UTC, comment #8:

...And I hope that soon there will be a proper release of BBDB which will then include the configure script.

Roland Winkler <winkler>
Project Administrator
Mon 29 Jul 2013 07:20:45 PM UTC, comment #7:

> Well, this has nothing to do with BBDB --- I never managed to run
> aclocal on WindowsXP MSYS, I have roughly the same kind of problem
> with installing properly Texinfo.
>
> Any clue is welcome.


I am sorry, I do not know much about your system. You better should
try to get help elsewhere.

> BTW, usually configure is under version control and delivered to
> the user, so user do not have to run autoconf themselves, whihc is
> done by the developpers, just use the configure.


I follow GNU Emacs itself, where the bzr repository only contains
the files that cannot be derived.

Roland Winkler <winkler>
Project Administrator
Mon 29 Jul 2013 06:39:42 PM UTC, comment #6:

Here is now what I get:

Well, this has nothing to do with BBDB --- I never managed to run aclocal on WindowsXP MSYS, I have roughly the same kind of problem with installing properly Texinfo.

Any clue is welcome.

BTW, usually configure is under version control and delivered to the user, so user do not have to run autoconf themselves, whihc is done by the developpers, just use the configure.

Vincent Belaïche <vincentb1>
Mon 29 Jul 2013 12:46:50 PM UTC, comment #5:

concerning your comment #3:

You should not run autoconf but ./autogen.sh
(see there). Essentially this runs

autoreconf --verbose --force --install --warnings=all

Roland Winkler <winkler>
Project Administrator
Mon 29 Jul 2013 11:51:04 AM UTC, comment #4:

If I just launch ./configure without any option I get:

Vincent Belaïche <vincentb1>
Mon 29 Jul 2013 11:40:44 AM UTC, comment #3:

I took the latest one on the git repo, and here is what I get when I launch autoconf:

-------------------------------
configure.ac:33: error: possibly undefined macro: AM_INIT_AUTOMAKE
If this token and others are legitimate, please use m4_pattern_allow.
See the Autoconf documentation.
configure.ac:35: error: possibly undefined macro: AC_PACKAGE_DATE
configure.ac:41: error: possibly undefined macro: AM_PATH_LISPDIR
-------------------------------

Then I tried the following:

./configure --prefix=/c/Programme/GNU/emacs-extension \
--with-tex-dir="/c/Programme/MiKTeX 2.8/tex/latex"

corresponding to my configuration, and I got this answer:

---------------
configure: WARNING: unrecognized options: --with-tex-dir
./configure: line 1676: syntax error near unexpected token `1.13'
./configure: line 1676: `AM_INIT_AUTOMAKE(1.13 -Wall gnu)'
---------------

My version of autoconf (as of autoconf --version) is:

----------------------------------------
autoconf (GNU Autoconf) 2.69
Copyright (C) 2012 Free Software Foundation, Inc.
License GPLv3+/Autoconf: GNU GPL version 3 or later
<http://gnu.org/licenses/gpl.html>, <http://gnu.org/licenses/exceptions.html>
This is free software: you are free to change and redistribute it.
There is NO WARRANTY, to the extent permitted by law.

Written by David J. MacKenzie and Akim Demaille.
-----------------------------------------

Vincent Belaïche <vincentb1>
Mon 29 Jul 2013 05:17:19 AM UTC, comment #2:

I will have a look within this week and let you know. Thank you for progressing that.

Vincent Belaïche <vincentb1>
Mon 29 Jul 2013 02:16:24 AM UTC, comment #1:

I hope that your problems got solved by the recent changes in the code for building BBDB. Can you confirm that?

Roland Winkler <winkler>
Project Administrator
Sat 20 Apr 2013 05:41:01 AM UTC, original submission:

I do the following ./configure (under MSW + MSYS)

./configure --prefix=c:/Programme/GNU/emacs-extension \
--datadir=c:/Programme/GNU/emacs-extension \
--with-tex-dir="c:/Programme/MiKTeX 2.8/tex/latex"

And I get the following:

checking whether make sets $(MAKE)... yes
checking for a BSD-compatible install... /usr/bin/install -c
checking whether ln -s works... no, using cp -pR
checking for grep... /usr/bin/grep
checking for rm... /usr/bin/rm
checking for gtar... no
checking for tar... tar
checking that tar is GNU tar... yes
checking for gzip... gzip
checking for makeinfo... makeinfo
checking for texi2dvi... texi2dvi
checking for texi2pdf... no
checking for dvips... dvips
checking for etags... /c/Programme/GNU/Emacs/bin/etag.exe
checking for emacs... /c/Programme/GNU/Emacs/bin/emacs.exe
checking where .elc files should go... $(datadir)/emacs/site-lisp/bbdb
checking where .tex files should go... c:/Programme/MiKTeX 2.8/tex/latex/bbdb
configure: creating ./config.status
config.status: creating Makefile
config.status: creating lisp/Makefile
config.status: creating doc/Makefile
config.status: creating tex/Makefile

The problem is in

checking where .elc files should go... $(datadir)/emacs/site-lisp/bbdb

That should have been c:/Programme/GNU/emacs-extension/lisp/bbdb

There should be some --with-lispdir or --prefix option support.

Another remark is for the tex directory. But I think there is already an item open about it.

Vincent Belaïche <vincentb1>

 

(Note: upload size limit is set to 16384 kB, after insertion of the required escape characters.)

Attach File(s):
   
   
Comment:
   

No files currently attached

 

Depends on the following items: None found

Items that depend on this one: None found

 

Carbon-Copy List
  • -unavailable- added by winkler (Posted a comment)
  • -unavailable- added by vincentb1 (Submitted the item)
  •  

    Do you think this task is very important?
    If so, you can click here to add your encouragement to it.
    This task has 0 encouragements so far.

    Only logged-in users can vote.

     

    Please enter the title of George Orwell's famous dystopian book (it's a date):

     

     

    Follow 3 latest changes.

    Date Changed By Updated Field Previous Value => Replaced By
    Mon 29 Jul 2013 10:37:35 PM UTCwinklerStatusIn Progress=>Works For Me
      Open/ClosedOpen=>Closed
    Mon 29 Jul 2013 02:16:24 AM UTCwinklerStatusNone=>In Progress

    Back to the top


    Powered by Savane 3.1-cleanup